package com.zd.iot.vmp.onvif;

import be.teletask.onvif.models.OnvifDevice;
import com.alibaba.fastjson.JSONObject;
import com.zd.iot.vmp.media.zlm.dto.MediaServerItem;
import com.zd.iot.vmp.onvif.dto.ONVIFCallBack;
import com.zd.iot.vmp.vmanager.bean.RecordVo;

import java.util.List;
import java.util.Map;

public interface IONVIFServer {

    void search(int timeout, ONVIFCallBack<List<String>> callBack);

    void getRTSPUrl(int timeout, OnvifDevice device, ONVIFCallBack<String> callBack);

    JSONObject startRecord(MediaServerItem mediaServerItem, Map<String, Object> param) ;

    Boolean isRecording(MediaServerItem mediaServerItem, Map<String, Object> param) ;

    String stopRecord(MediaServerItem mediaServerItem, Map<String, Object> param) ;

    Boolean closeStream(MediaServerItem mediaServerItem, Map<String, Object> param) ;
}
